flow123d_version: 2.0.0
problem: !Coupling_Sequential
  description: narrow radioaoctive decay chain, with transport switched enabled but
    with zero pressure gradient, VTK output test12
  mesh:
    mesh_file: ../00_mesh/prism_3el.msh
  flow_equation: !Flow_Darcy_MH
    output_specific:
    nonlinear_solver:
      linear_solver: !Petsc
        a_tol: 1.0e-07
    input_fields:
      - rid: 1
        anisotropy: 0.01
      - region: .BOUNDARY
        bc_type: dirichlet
        bc_piezo_head: 0
    output:
      fields:
        - pressure_p0
        - pressure_p1
        - velocity_p0
    balance: {}
    output_stream: 
      file: ./decay.pvd
      format: !vtk
        variant: ascii
      name: flow_output_stream
  solute_equation: !Coupling_OperatorSplitting
    transport: !Solute_Advection_FV
      input_fields:
        - rid: 1
          init_conc:
            - 0.01
            - 0.02
            - 0.03
            - 0.04
            - 0.05
        - region: .BOUNDARY
          bc_conc:
            - 0.01
            - 0.02
            - 0.03
            - 0.04
            - 0.05
    output_stream: 
      file: ./transport_decay.pvd
      format: !vtk
        variant: ascii
      name: transport_output_stream
      times:
        - step: 0.5
    substances:
      - A
      - B
      - C
      - D
      - E
    time:
      end_time: 10.0
    reaction_term: !RadioactiveDecay
      ode_solver: !PadeApproximant
        pade_nominator_degree: 3
        pade_denominator_degree: 3
      decays:
        - radionuclide: A
          half_life: 1.3863
          products:
            - B
        - radionuclide: B
          half_life: 2.3105
          products:
            - C
        - radionuclide: C
          half_life: 1.5403
          products:
            - D
        - radionuclide: D
          half_life: 1.1552
          products:
            - E
    balance:
      cumulative: true